Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 274411 - sys-auth/policykit-0.92, gnome-extra/policykit-gnome-0.92, sys-auth/consolekit-0.4.0 version bump
Summary: sys-auth/policykit-0.92, gnome-extra/policykit-gnome-0.92, sys-auth/consoleki...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Daniel Gryniewicz (RETIRED)
URL:
Whiteboard:
Keywords: InVCS
: 275092 286416 (view as bug list)
Depends on:
Blocks: gnome2.28
  Show dependency tree
 
Reported: 2009-06-16 20:45 UTC by Mounir Lamouri (volkmar) (RETIRED)
Modified: 2010-06-19 15:58 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-06-16 20:45:07 UTC
0.91 has been released 4 months ago
0.92 has been released a week ago

I'm working on a portage backend for packagekit and packagekit now needs 0.91.

Yes, this bug is somewhat selfish ;)

Thanks.
Comment 1 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-06-20 11:05:05 UTC
Because I'm a good boy, I've added to the tree dev-libs/eggdbus-0.4 which is needed by policykit-0.92.

All dependencies are now available.
Comment 2 Romain Perier (RETIRED) gentoo-dev 2009-06-20 21:13:42 UTC
Bumped into the tree, I p.masked it (ChangeLog commented out). 

thanks Mounir ;)
Comment 3 Christophe Saout 2009-06-21 14:52:32 UTC
This breaks the ABI and API, so policykit-gnome, gconf and a few others things using policykit horribly break.  (and won't recompile since the libraries changed names and I guess even more)
Comment 4 Romain Perier (RETIRED) gentoo-dev 2009-06-21 15:27:17 UTC
@Christophe: that's why this package was masked, it needs more improvments and more fix before work correctly
Comment 5 Christophe Saout 2009-06-21 23:48:33 UTC
Oops.  I should check my package.unmask from time to time.
Those entries don't delete themselves once a package goes mainstream. ;-)

Sorry for bothering you with obvious stuff then.
Comment 6 Romain Perier (RETIRED) gentoo-dev 2009-06-22 05:53:10 UTC
@christophe: no problem, but have a look to /usr/portage/profiles/{ChangeLog,package.mask} in the future if you've a doubt.

Packages with a lot of changes which may break some packages are always masked ;)
Comment 7 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-09-15 09:48:49 UTC
Reopen as the ebuild has been removed from the tree 2 days ago.
Comment 8 Gilles Dartiguelongue gentoo-dev 2009-09-15 10:09:05 UTC
it has been removed willingly. It cause trouble with users unmasking it for no good reason and it broke their system badly. it'll be added back when gnome 2.28 hits the tree or when someone figures out a nice upgrade path.
Comment 9 Robert Piasek (RETIRED) gentoo-dev 2009-09-25 08:55:16 UTC
(In reply to comment #8)
> it has been removed willingly. It cause trouble with users unmasking it for no
> good reason and it broke their system badly. it'll be added back when gnome
> 2.28 hits the tree or when someone figures out a nice upgrade path.
> 

Hi eva,

Gnome 2.28 has been released few days ago. Do you have any ETA on adding it back to the tree? I want to ship new snapshot of NetworkManager - but it depends on PK>=0.92

Thanks
Comment 10 Gilles Dartiguelongue gentoo-dev 2009-09-25 09:15:06 UTC
sorry but gnome 2.28 will not happen just now, we are busy stabilizing gnome 2.26 then there'll be a time where we'll need to review all gnome 2.28 ebuilds. It took quite some time for when we did it for 2.26 and even if we focused on getting the pk bits early, nobody worked out the migration path for it yet. So no, we do not have an ETA yet.
Comment 11 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-09-25 12:48:38 UTC
(In reply to comment #10)
> sorry but gnome 2.28 will not happen just now, we are busy stabilizing gnome
> 2.26 then there'll be a time where we'll need to review all gnome 2.28 ebuilds.

Also, GTK+-2.18 has lots of csw-related issues. GNOME-2.28 will take a while.
Comment 12 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-09-27 19:31:38 UTC
*** Bug 286416 has been marked as a duplicate of this bug. ***
Comment 13 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-09-27 19:33:47 UTC
*** Bug 275092 has been marked as a duplicate of this bug. ***
Comment 14 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-09-27 19:34:35 UTC
All three will be put in together.
Comment 15 Rafał Mużyło 2009-09-27 20:47:47 UTC
So, on a related note, policykit 0.94 was released
and it needs a useflag for gobject-introspection (use_enable).
Comment 16 Rafał Mużyło 2009-10-16 14:31:04 UTC
One of the latest commits in udev git bumps
dependency of one of the tools (udev-acl) to
ConsoleKit 0.4.0. Looks like those packages may be needed sooner.
Comment 17 Maciej Mrozowski gentoo-dev 2009-10-21 19:32:27 UTC
Please put it back masked in tree. People unmasking packages should be ready to grab the pieces.
And I'd like to start slowly introducing kpackagekit.
Comment 18 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-11-01 10:03:20 UTC
sys-auth/polkit-0.94
gnome-extra/polkit-gnome-0.94
sys-auth/consolekit-0.4.0

These three have been added to the tree (they are separate from policykit because the internal and external architecture is completely different; and they're not compatible with policykit-0.9 etc)